# Hans

@Serializable(with = IetfLangSerializer::class )
sealed interface Hans : IetfLang.Chinese (source)

#### Inheritors

CN
HK
MO
SG
Companion

## Types

CN
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CN : IetfLang.Chinese.Hans
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Chinese.Hans
HK
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object HK : IetfLang.Chinese.Hans
MO
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object MO : IetfLang.Chinese.Hans
SG
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object SG : IetfLang.Chinese.Hans

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale